#ifndef _TEST_PUSSIANCE4_h_
#define _TEST_PUSSIANCE4_h_

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <string.h>

#include "../puissance4.h"
#include "board/test_board.h"
#include "game/test_game.h"
#include "computer/test_computer.h"

// https://stackoverflow.com/questions/1961209/making-some-text-in-printf-appear-in-green-and-red
#define PRINT_SUCCESS(msg) printf("\033[32;1m%s\033[0m\n", msg)

int** setup_board(int rows, int cols);
void reset_board(int rows, int cols, int** board);

#endif
